## Class Or

- java.lang.Object
- - Or

All Implemented Interfaces:
  `Cond`

    class Or
    extends java.lang.Object
    implements Cond

Represents the Or type, a conditional which returns true if either value is true. This operator short circuits, which means that if the left value is true, the right value is not evaluated

### Field Summary

Fields
`private Cond` `lVal`
`private Cond` `rVal`

### Constructor Summary

Constructors
`Or​(Cond lVal, Cond rVal)` Constructor for the Or conditional.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `eval()` Evaluates the given conditional.
`Cond` `neg()` negates the value of the conditional, without evaluating it.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### lVal

    private Cond lVal

#### rVal

    private Cond rVal

### Constructor Detail

#### Or

    public Or​(Cond lVal,
              Cond rVal)

Constructor for the Or conditional.

Parameters:
  `lVal` - the left value in the Or Operation.
  `rVal` - This is only evaluated if lVal is false

### Method Detail

#### eval

    public boolean eval()

Description copied from interface: `Cond`
Evaluates the given conditional.

Specified by:
  `eval` in interface `Cond`
Returns:
  the boolean result of the evaluation

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### neg

    public Cond neg()

Description copied from interface: `Cond`
negates the value of the conditional, without evaluating it.

Specified by:
  `neg` in interface `Cond`
Returns:
  a new conditional, with the negated value